bl_info = {
    "name": "Rig Picker",
    "author": "Christophe Seux",
    "version": (0, 1),
    "blender": (3, 0, 2),
    "location": "",
    "description": "",
    "warning": "",
    "wiki_url": "",
    "tracker_url": "",
    "category": "Rigging"}

import importlib

modules = [
    '.op_material',
    '.op_picker',
    '.op_shape',
    '.properties',
    '.panels',
    '.area',
    '.gizmo',
    '.picker'
]

functions = [
    #'.func_picker',
    '.func_shape',
    '.snapping_utils',
    '.utils'
]

import bpy

if "bpy" in locals():
    for name in modules + functions:
        module = importlib.import_module(name, __name__)
        importlib.reload(module)

def register():
    if bpy.app.background:
        return
    for name in modules:
        module = importlib.import_module(name, __name__)
        module.register()

def unregister():
    if bpy.app.background:
        return
    for name in reversed(modules):
        module = importlib.import_module(name, __name__)
        module.unregister()
